curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=<string>' \
--form 'task_id=<string>' \
--form files.items='@example-file'{
"data": {
"business_id": "<string>",
"name": "<string>",
"description": "<string>",
"document_type": "receipt",
"file_size": 123,
"status": "processing",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"task_id": "tsk_R2fAXCjqJPdpYata112zyW",
"transaction_id": "txn_R2fAXCjqJPdpYata112zyW",
"metadata_": {}
}
}curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=<string>' \
--form 'task_id=<string>' \
--form files.items='@example-file'{
"data": {
"business_id": "<string>",
"name": "<string>",
"description": "<string>",
"document_type": "receipt",
"file_size": 123,
"status": "processing",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"task_id": "tsk_R2fAXCjqJPdpYata112zyW",
"transaction_id": "txn_R2fAXCjqJPdpYata112zyW",
"metadata_": {}
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Successful Response
Show child attributes
The id of the Business
The original file name
255The description of the Document
255The type of the Document.
receipt, statement, other The size of the file in kilobytes
The status of the Document
processing, file_too_large, file_type_not_supported, failed_account_matching, failed_period_matching, failed_s3_upload, parsing_failed, processed, unprocessed The id of the Document
The datetime the Document was created in UTC ISO-8601 format
The id of the Task
"tsk_R2fAXCjqJPdpYata112zyW"
The id of the Transaction associated with the document
"txn_R2fAXCjqJPdpYata112zyW"